# $Revision: 1.39 $, $Date: 2010/11/13 00:21:24 $

%define		module	sqlite

Summary:	A DB API v2.0 compatible interface to SQLite
Summary(pl.UTF-8):	Interfejs do SQLite kompatybilny z DB API v2.0
Name:		python-%{module}
Version:	2.6.0
Release:	3
License:	zlib/libpng
Group:		Development/Languages/Python
Source0:	http://pysqlite.googlecode.com/files/pysqlite-%{version}.tar.gz
# Source0-md5:	fc92618b3b39d02e6ff10dc467c36640
URL:		http://pysqlite.googlecode.com/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	sqlite3-devel >= 3.6.11
%pyrequires_eq	python-modules
Provides:	python(sqlite)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension module for the SQLite embedded relational
database. It tries to conform to the Python DB-API Spec v2 as far as
possible. One problem is that SQLite returns everything as text. This
is a result of SQLite's internal representation of data, however it
still may be possible to return data in the type specified by the
table definitions.

%description -l pl.UTF-8
Ten pakiet zawiera moduł rozszerzenia dla osadzalnej relacyjnej bazy
danych SQLite. Próbuje on być w zgodzie ze specyfikacją Python DB-API
v2 na tyle, na ile to możliwe. Jednym problemem jest to, że SQLite
zwraca wszystko jako tekst. Jest to wynik wewnętrznej reprezentacji
danych przez SQLite; mimo to nadal jest możliwe zwracanie danych typu
podanego w definicji tabeli.

%prep
%setup -q -n pysqlite-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir} \
	python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/pysqlite2/{,test/}*.py \
	$RPM_BUILD_ROOT%{_prefix}/pysqlite2-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.txt
%dir %{py_sitedir}/pysqlite2
%{py_sitedir}/*.egg-info
%{py_sitedir}/pysqlite2/*.py[co]
%attr(755,root,root) %{py_sitedir}/pysqlite2/_%{module}.so
%dir %{py_sitedir}/pysqlite2/test
%{py_sitedir}/pysqlite2/test/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-sqlite.spec,v $
Revision 1.39  2010/11/13 00:21:24  pawelz
- release 3

Revision 1.38  2010/07/08 08:41:01  arekm
- release 2

Revision 1.37  2010/06/15 12:20:49  caleb
- Proper current upstream URLs

Revision 1.36  2010/06/15 09:13:08  caleb
- Up to 2.6.0, new upstream URLs

Revision 1.35  2009/11/26 21:58:12  sparky
- sorted headers

Revision 1.34  2009/04/03 11:10:29  arekm
- trac can use various sqlite versions

Revision 1.33  2009/03/14 19:52:46  wiget
- updated to 2.5.4 (fixes #339901)
- added egg-info

Revision 1.32  2009/03/09 12:17:05  qwiat
- update to 2.5.2

Revision 1.31  2009/02/22 14:20:55  areq
- 2.5.1

Revision 1.30  2008/10/03 18:01:38  arekm
- release 2

Revision 1.29  2007-07-18 12:53:25  twittner
- up to 2.3.5

Revision 1.28  2007/04/08 14:17:37  shadzik
- 2.3.3

Revision 1.27  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.25  2006/09/30 16:42:00  megabajt
- rel. 2 for rebuild with python 2.5

Revision 1.24  2006/09/03 11:34:04  patrys
- up to 2.3.2
- dropped setuptools
  (can be used with extended_setup.py but setup is enough)
- no egg

Revision 1.23  2006/03/20 13:46:59  japhy
- Up to 2.0.7, BR: updated accordingly, STBR

Revision 1.22  2005/10/24 17:16:10  twittner
- up to 2.0.5
- license changed to zlib/libpng (in accordance with freshmeat.net
  announcement)

Revision 1.21  2005/09/12 18:35:46  troll
- updated to 2.0.4

Revision 1.20  2005/05/28 23:13:06  arekm
- up to 2.0.3

Revision 1.19  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.18  2004/12/26 18:39:32  saq
- release 3

Revision 1.17  2004/12/26 18:32:11  saq
- fixed BR

Revision 1.16  2004/12/26 17:53:21  saq
- release 2 for rebuild with python 2.4

Revision 1.15  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.14  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.13  2004/10/29 22:57:02  arekm
- up to 1.1.1 for sqlite3

Revision 1.12  2004/10/06 11:59:43  zboczuch
- version 1.0
- manual included

Revision 1.11  2004/08/31 12:33:28  darekr
- update to 0.5.1

Revision 1.10  2004/08/19 10:53:48  undefine
- release 2

Revision 1.9  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/07/26 18:15:30  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.7  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.6  2003/12/02 20:08:01  leafnode
- updated to 0.5.0

Revision 1.5  2003/12/02 00:03:14  matkor
- Release 4. Ac rebuild with changed Pythons ABI.

Revision 1.4  2003/10/06 15:28:19  leafnode
- included sources
- rel 3

Revision 1.3  2003/08/15 10:07:46  wiget
- rebuild with new python
- release 2

Revision 1.2  2003/07/14 19:01:40  qboosh
- pl, 755 for *.so

Revision 1.1  2003/07/07 23:40:53  leafnode
- created
- adapterized
